package com.red.circle.live.infra.database.cache.service;

/**
 * 获取直播房间缓存服务.
 *
 * @author lixiaofei on 2024/9/4
 */
public interface LiveRoomCacheService {

  /**
   * 移除相关缓存.
   *
   * @param roomId 房间id
   */
  void remove(Long roomId);

  /**
   * 添加缓存.
   *
   * @param account 房间账号
   * @param roomId 房间id
   */
  void save(String account, Long roomId);

  /**
   * 获取一个房间的房间账号
   *
   * @param roomId 房间id
   */
  String getRoomAccount(Long roomId);

}
